Skip to main content
`Ctrl`+`K`

# TSAdaptLoad

Loads a TSAdapt that has been stored in binary with `TSAdaptView()`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptLoad(TSAdapt adapt, PetscViewer viewer)

Collective

## Input Parameters

- adapt - the newly loaded `TSAdapt`, this needs to have been created with `TSAdaptCreate()` or some related function before a call to `TSAdaptLoad()`.

- viewer - binary file viewer, obtained from `PetscViewerBinaryOpen()` or HDF5 file viewer, obtained from `PetscViewerHDF5Open()`

## Note

The type is determined by the data in the file, any type set into the `TSAdapt` before this call is ignored.

## See Also

TS: Scalable ODE and DAE Solvers, `PetscViewerBinaryOpen()`, `TSAdaptView()`, `MatLoad()`, `VecLoad()`, `TSAdapt`

## Level

intermediate

## Location

src/ts/adapt/interface/tsadapt.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages